List Event Destinations

Lists all destinations configured for your account. Results are paginated.

GET/destinations

This endpoint retrieves all event destinations configured for your Stedi account. You can filter the results by destination status or event type.

Each destination in the response includes summary information such as the destination name, URL, subscribed event types, status, and the last delivery time. To retrieve full details for a specific destination, use the Retrieve Destination endpoint.

Authorization
RequiredHeader

A Stedi API Key for authentication. Supports both test and production API keys.

Query Parameters

pageSize
NumberRange: ≥ 1 and ≤ 100

Number of items to return per page.

pageToken
StringLength: 1 - 1024

The nextPageToken value from a previous response. You can use this to get the next page of results. If not set, Stedi returns the first page of results.

status
String

The destination's current status. Stedi only sends event payloads to ENABLED destinations.

Possible values
ENABLED
DISABLED
eventType
StringLength: 1 - 255

Filter results by event type. Visit event types for a complete list.

Response

application/json
items
Array of ObjectsRequired

The list of destination summaries.

Array item
nextPageToken
StringLength: 1 - 1024

Token that you can supply in subsequent requests to retrieve the next page of results. If not returned, there are no more results.